Page MenuHomePhabricator

Hide details Overlay in MediaViewer after tap on screen
Closed, ResolvedPublic

Description

At the moment, the overlay with the "details" button appears after a click (or "tap") on the screen. I would prefer to invert this behavior:
Show the details overlay instantly after the user opens an image in MediaViewer
Hide the overlay, if the user clicks (tap) on the screen

So the user recognizes that there are more information to this picture, he needs only to click "details".


Version: unspecified
Severity: enhancement

Details

Reference
bz68504
Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterHide Details box when user taps the image

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:29 AM
bzimport set Reference to bz68504.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Jul 24 2014, 11:49 AM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/OeocUacg

We changed it per design to always show the details overlay. Hiding the overlay on tap is an interesting idea though.

We changed it per design to always show the details overlay.

Was there a change i missed? :O

Not sure I completely understand this but it sounds like an enhancement?

@Jon: Correct :) Maybe i can explain a little bit clearer:

Actual: If you click an image, you get the image and the information bar at the bottom of the screen (containing license information, name of the image and the details button). If you tap on the image, nothing happens.

Requested: If you tap on the image (or the screen except the details bar at the bottom), the details bar hides and the image is now fullscreen (it uses the space, which was blocked by the details bar). If you tap again you have the actual screen (image and details bar).

Hope that clarifies this? :)

Yeh patch welcomed :)

Florian claimed this task.Dec 5 2014, 10:50 PM

Change 177937 had a related patch set uploaded (by Florianschmidtwelzow):
Hide Details box when user taps the image

https://gerrit.wikimedia.org/r/177937

Patch-For-Review

Jdlrobson closed this task as Resolved.Dec 9 2014, 7:30 PM
Jdlrobson set Security to None.

Change 177937 merged by jenkins-bot:
Hide Details box when user taps the image

https://gerrit.wikimedia.org/r/177937